const Default = require('../../models/minutes/default');

module.exports = {
    get: async (req, res, next) => {
        try {
            const defaultData = await Default.get();
            res.status(200).json(defaultData);
        } catch (err) {
            res.status(500).json(err);
        }
    },
    post: async (req, res, next) => {
        try {
            const { type, value } = req.body;
            if (!type || !value) return res.status(401).json({ message: '缺少類別或參數' });
            await Default.post(type, value);
            res.status(200).json({ message: '新增成功', type, value });
        } catch (err) {
            res.status(500).json(err);
        }
    },
    delete: async (req, res, next) => {
        try {
            const { type, value } = req.body;
            if (!type || !value) return res.status(401).json({ message: '缺少類別或參數' });
            await Default.delete(type, value);
            res.status(200).json({ message: '刪除成功', type, value });
        } catch (err) {
            res.status(500).json(err);
        }
    },
};
